> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/deprecated-version-1.0/hair-length.md).

# Hair Length

Haut.AI provides an AI algorithm that estimates hair length. Response scheme for the deprecated Hair Metrics 1.0.

## **Description**

This metric calculates the length of the hair.

**`"algorithm_tech_name": "hair_length"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric indicates the hair length category for `area_name`

```javascript
"main_metric": {
                "value": "Long Hair",
                "widget_type": "category",
                "name": "Hair Length",
                "tech_name": "hair_length",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MWxBX_zB4FnflOpyBGO%2F-Mhmb21C_7r2ke7p4jgC%2F-MhmbBkevxiBFlgBYgn6%2F%D0%94%D0%BE%D0%BA%D0%B8%201_6.jpeg?alt=media\&token=38880989-d0e7-4f47-a2db-af0e5448ba74)

* **`value`** The hair length is divided into five classes, as listed below. Each category gets its own confidence level in the range of `[0,100]`, where the highest score indicates the hair length class:
  * `Chin Length`
  * `Neck Length`
  * `Shoulder Length`
  * `Collarbone Length`
  * `Long Hair`
* `"widget_type": "category"`
* `"name": "Hair Length"`
* `"tech_name": "hair_length"`

## `sub_metrics`

**None** **-** there are no sub-metrics for hair length

## `masks_restored`

**None** **-** there are no restored masks for hair length

## `masks_original`

**None** **-** there are no original masks for hair length

## **Example (JSON)**

{% file src="/files/-MgFV89Zzt8DpkU2YoDJ" %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/deprecated-version-1.0/hair-length.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
